<?php
	if( $docroot == '' ){
		die( _("Accesso negato!") );
	}
	
	/*
		Articoli
	*/

	$q_art="SELECT * , mg_listini_art.id as inlist FROM mg_listini_art inner  join mg_articoli on mg_listini_art.idarticolo = mg_articoli.id WHERE idlistino='".$id_record."'";
	
	$rs_art = $dbo->fetchArray( $q_art );
	$tot_art = sizeof($rs_art);


	if( $tot_art>0 ){
		for( $i=0; $i<$tot_art; $i++ ){
			$q1="SELECT id FROM mg_listini_art  WHERE idlistino='".$rs_art[$i]['idlistino']."' and idarticolo='".$rs_art[$i]['idarticolo']."'";
			$rsprr = $dbo->fetchArray($q1);
			
			
			echo "<tr><td align='left'>\n";
			echo "<a target='_blank' href='".$rootdir."/editor.php?id_module=".$modules_info['Articoli']['id']."&id_record=".$rs_art[$i]['id']."'>".nl2br( $rs_art[$i]['codice']." - ".$rs_art[$i]['descrizione'] )."</a>\n";
			echo "</td>\n";
			echo "<td class='text-right'>\n";
			echo number_format( $rs_art[$i]['prezzo_vendita'], get_var("Cifre decimali"), ",", "." )." &euro;\n";
			echo "</td>\n";


			//ricalcolo percentuale di sconto
			
		//	$sconto_ricalcolato = (($rs_art[$i]['prezzo_vendita'] - $rs_art[$i]['prezzo']) / $rs_art[$i]['prezzo_vendita'])*100;	
			$sconto_ricalcolato=$rs_art[$i]['prc_guadagno'];
			
			
			//%Listino
			echo "<td class='text-right'>\n";
			echo number_format( $sconto_ricalcolato, get_var("Cifre decimali"), ",", "." )." %\n";
			echo "</td>\n";


			//Prezzo Vendita
			echo "<td class='text-right'>\n";
			echo number_format( $rs_art[$i]['prezzo'], get_var("Cifre decimali"), ",", "." )." &euro;\n";
			echo "</td>\n";

			
			
			//Possibilità di rimuovere una riga 
			echo "<td class='text-center'>\n";
			
			$id_listino=$rs_art[$i]['idlistino'];
			$name="Listini";
			
			echo "			<a class='btn btn-xs btn-warning' title='Modifica questa riga...' onclick=\"launch_modal( 'Modifica prezzo listino', '".$rootdir."/modules/listini/edit_riga.php?idlistino=".$id_listino."&idrigal=".$rs_art[$i]['inlist']."&idriga=".$rs_art[$i]['idarticolo']."&dir=".$dir."', 1 );\"><i class='fa fa-edit'></i></a>\n";
			
			echo "</td></tr>\n";
			
	
		}
		
	}

?>
